English |
  • 美国VPS主机推荐
  • |
  • 代购服务
  • |
  • 10美元以下VPS
  • |
  • VPS新手指南/教程
  • |
  • 留言板
  • |
  • 关于
  • | 登录 |

    LNMP一键安装包 V1.4 测试版公测,欢迎反馈

    2016年12月6日 上午 | 作者:


    LNMP 1.4测试版,主要新增加PHP7.1支持、LNMP模式下多PHP版本安装、lnmp管理脚本增加SSL支持可以选择Let'sencrypt自动生成证书或自定义证书、多种自定义安装、Nginx使用新版openssl编译等。

    LNMP一键安装包是一个用Linux Shell编写的可以为CentOS/RadHat/Fedora、Debian/Ubuntu/Raspbian VPS(VDS)或独立主机安装LNMP(Nginx/MySQL/PHP)、LNMPA(Nginx/MySQL/PHP/Apache)、LAMP(Apache/MySQL/PHP)生产环境的Shell程序。同时提供一些实用的辅助工具如:虚拟主机管理、FTP用户管理、Nginx、MySQL/MariaDB、PHP的升级、常用缓存组件的安装、重置MySQL root密码、502自动重启、日志切割、SSH防护DenyHosts/Fail2Ban、备份等许多实用脚本。

    兼容性提醒:请在使用高版本PHP前请到程序官网确定兼容性。特别是一些国产的程序shopex、ecshop都还停留在php 5.2的时代,另外要注意worpdress等插件的兼容性。

    安装前建议使用screen,执行:screen -S lnmp 后,执行:wget -c http://soft.vpser.net/lnmp/lnmp1.4beta.tar.gz && tar zxf lnmp1.4beta.tar.gz && cd lnmp1.4 && ./install.sh {lnmp|lnmpa|lamp} 请注意最后的参数,需要哪个模式就写哪个,./install.sh 不带任何参数默认为LNMP模式。
    查看全文 »

    LNMP一键安装包 V1.3 正式版发布

    2016年06月1日 上午 | 作者:


    LNMP一键安装包 V1.3正式发布,增加PHP7、mysql 5.7支持、nginx http2支持、增加lnmp.conf配置文件开源自定义数据库目录、自定义参数,优化安装脚本增加安装成功率等等。

    LNMP一键安装包是一个用Linux Shell编写的可以为CentOS/RadHat/Fedora、Debian/Ubuntu/Raspbian/Deepin Linux VPS或独立主机安装LNMP(Nginx/MySQL/PHP)、LNMPA(Nginx/MySQL/PHP/Apache)、LAMP(Apache/MySQL/PHP)生产环境的Shell程序。同时提供一些实用的辅助工具如:虚拟主机管理、FTP用户管理、Nginx、MySQL/MariaDB、PHP的升级、常用缓存组件的安装、重置MySQL root密码、502自动重启、日志切割、SSH防护DenyHosts/Fail2Ban、备份等许多实用脚本。

    1.3中增加lnmp.conf配置文件,该配置文件可自定义下载镜像地址、Nginx编译参数、PHP编译参数及数据库和默认虚拟主机默认目录,这个配置文件不论安装升级都会调用该文件里的设置,如果安装前想加自定义参数可以在安装前或升级前修改该配置文件的参数。
    查看全文 »

    LNMP一键安装包 V1.3 测试版公测,欢迎反馈

    2015年10月15日 上午 | 作者:


    本版为1.3公开测试版,增加PHP7、mysql 5.7、优化、自定义数据库目录、自定义参数,增加安装成功率。

    LNMP一键安装包是一个用Linux Shell编写的可以为CentOS/RadHat/Fedora、Debian/Ubuntu/Raspbian VPS(VDS)或独立主机安装LNMP(Nginx/MySQL/PHP)、LNMPA(Nginx/MySQL/PHP/Apache)、LAMP(Apache/MySQL/PHP)生产环境的Shell程序。同时提供一些实用的辅助工具如:虚拟主机管理、FTP用户管理、Nginx、MySQL/MariaDB、PHP的升级、常用缓存组件的安装、重置MySQL root密码、502自动重启、日志切割、SSH防护DenyHosts/Fail2Ban、备份等许多实用脚本。

    兼容性提醒:PHP 5.6、PHP7都有许多调整,使用程序前请到程序官网确定兼容性。目前很多国产的程序shopex、ecshop都还停留在php 5.2的时代,即使discuz x都对php7支持的有问题,目前wordpress支持php7,但wp插件可能有些不兼容。生产环境除非自己针对php7写的程序不建议使用php7。
    除程序的兼容性外,php扩展也会有影响,目前php7下出原生的opcache外,如php-memcached、php-redis等都无法安装,Zend Guard Loader目前也无法使用也就是zend加密的无法解密。
    目前PHP未正式发布暂不能直接进行升级。

    安装前建议使用screen,执行:screen -S lnmp 后,执行:wget -c http://soft.vpser.net/lnmp/lnmp1.3beta-full.tar.gz && tar zxf lnmp1.3beta-full.tar.gz && cd lnmp1.3-full && ./install.sh {lnmp|lnmpa|lamp}

    LNMP状态管理:lnmp {start|stop|reload|restart|kill|status}
    查看全文 »

    LNMP一键安装包 V1.2 发布

    2015年06月1日 上午 | 作者:


    LNMP 1.2对脚本进行重写优化,使用lnmp进行大部分的管理任务、使用upgrade.sh进行程序的升级、使用addons.sh进行组件的安装和卸载。同时增加了诸多实用脚本。

    LNMP一键安装包是一个用Linux Shell编写的可以为CentOS/RadHat/Fedora、Debian/Ubuntu/Raspbian VPS(VDS)或独立主机安装LNMP(Nginx/MySQL/PHP)、LNMPA(Nginx/MySQL/PHP/Apache)、LAMP(Apache/MySQL/PHP)生产环境的Shell程序。同时提供一些实用的辅助工具如:虚拟主机管理、FTP用户管理、Nginx、MySQL/MariaDB、PHP的升级、常用缓存组件的安装、重置MySQL root密码、502自动重启、日志切割、SSH防护DenyHosts/Fail2Ban、备份等许多实用脚本。

    详细安装教程参考:https://lnmp.org/install.html

    安装前建议使用screen,执行:screen -S lnmp 后,执行:wget -c http://soft.vpser.net/lnmp/lnmp1.2-full.tar.gz && tar zxf lnmp1.2-full.tar.gz && cd lnmp1.2-full && ./install.sh {lnmp|lnmpa|lamp}

    LNMP状态管理:lnmp {start|stop|reload|restart|kill|status}
    查看全文 »

    LNMP一键安装包 V1.0 发布 + 新版LNMP网站上线

    2013年06月1日 上午 | 作者:

    LNMP一键安装包是一个用Linux Shell编写的可以为CentOS/RadHat、Debian/Ubuntu VPS(VDS)或独立主机安装LNMP(Nginx、MySQL、PHP、phpMyAdmin)生产环境的Shell程序。

    LNMP一键安装包 V1.0 已经在DiaHosting(感谢提供测试VPS)、VPSYOU(感谢提供测试VPS)、PhotonVPS(感谢提供测试VPS)、LinodeVR香港VPSXeHostVPSZZDigitalOceanHostigationMyHost123YardVPSBudgetVM瑞豪开源遨游主机DirectSpaceThrustVPSBuyVM等多家美国VPS的CentOS 5-6.4、Debian 5-7、Ubuntu 10.04-13.04的32位和64位系统上测试通过。(Debian5系统源需要修改才可使用!小内存请勿使用64位系统)

    LNMP已对网站进行改版:https://lnmp.org,原网站内容移至http://old.lnmp.org

    LNMP安装教程:https://lnmp.org/install.html
    LNMPA安装教程:https://lnmp.org/lnmpa.html

    使用交流论坛:https://bbs.vpser.net/forum-25-1.html
    查看全文 »

    LNMP下防跨站、跨目录安全设置,仅支持PHP 5.3.3以上版本

    2012年10月5日 下午 | 作者:

    LNMP一键安装包下存在跨站和跨目录的问题,跨站和跨目录影响同服务器/VPS上的其他网站,最近看PHP 5.3,在5.3.3以上已经增加了HOST配置,可以起到防跨站、跨目录的问题。

    如果你是PHP 5.3.3以上的版本,可以修改/usr/local/php/etc/php.ini在末尾里加入:
    查看全文 »

    Page 1 of 3123